<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: ProjectFilesController Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_project_files_controller.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_project_files_controller-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">ProjectFilesController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ProjectFilesController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_project_files_controller.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adfb41e1c1eb0d1ed4c610f6ef147395c"><td class="memItemLeft" align="right" valign="top">async Task&lt; List&lt; GameObject &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_project_files_controller.html#adfb41e1c1eb0d1ed4c610f6ef147395c">CreateFiles</a> (string projectName, string projectPath, List&lt; string &gt; modelPaths, bool createSubdir)</td></tr>
<tr class="memdesc:adfb41e1c1eb0d1ed4c610f6ef147395c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new project.  <a href="class_project_files_controller.html#adfb41e1c1eb0d1ed4c610f6ef147395c">More...</a><br /></td></tr>
<tr class="separator:adfb41e1c1eb0d1ed4c610f6ef147395c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7889a7b40c3bc7b4ef5f838fa8f33c12"><td class="memItemLeft" align="right" valign="top">List&lt; GameObject &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_project_files_controller.html#a7889a7b40c3bc7b4ef5f838fa8f33c12">LoadFiles</a> (string projectName, string projectPath, List&lt; string &gt; modelPaths, bool createSubdir)</td></tr>
<tr class="memdesc:a7889a7b40c3bc7b4ef5f838fa8f33c12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads the required files for a project.  <a href="class_project_files_controller.html#a7889a7b40c3bc7b4ef5f838fa8f33c12">More...</a><br /></td></tr>
<tr class="separator:a7889a7b40c3bc7b4ef5f838fa8f33c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed7f6eed3c917e6bc4e5028212e7d2a1"><td class="memItemLeft" align="right" valign="top"><a id="aed7f6eed3c917e6bc4e5028212e7d2a1" name="aed7f6eed3c917e6bc4e5028212e7d2a1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SaveProject</b> ()</td></tr>
<tr class="memdesc:aed7f6eed3c917e6bc4e5028212e7d2a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the project to the project's path by duplicating the internal project's folder <br /></td></tr>
<tr class="separator:aed7f6eed3c917e6bc4e5028212e7d2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a465eedff13384dab7e334c57e6d88a1d"><td class="memItemLeft" align="right" valign="top"><a id="a465eedff13384dab7e334c57e6d88a1d" name="a465eedff13384dab7e334c57e6d88a1d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SaveVivianSpecificationToDisk</b> ()</td></tr>
<tr class="memdesc:a465eedff13384dab7e334c57e6d88a1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves all Vivian specification to JSON files in the project folder <br /></td></tr>
<tr class="separator:a465eedff13384dab7e334c57e6d88a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a668edb7be8d74a0f3b93d9577248a735"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_project_files_controller.html#a668edb7be8d74a0f3b93d9577248a735">LoadModel</a> (string filePath)</td></tr>
<tr class="memdesc:a668edb7be8d74a0f3b93d9577248a735"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads a model with TriLib  <a href="class_project_files_controller.html#a668edb7be8d74a0f3b93d9577248a735">More...</a><br /></td></tr>
<tr class="separator:a668edb7be8d74a0f3b93d9577248a735"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa69e307a9f3ba06bc8b4021211c4c9b"><td class="memItemLeft" align="right" valign="top">List&lt; <a class="el" href="class_project_json_wrapper.html">ProjectJsonWrapper</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_project_files_controller.html#afa69e307a9f3ba06bc8b4021211c4c9b">GetRecentProjects</a> ()</td></tr>
<tr class="memdesc:afa69e307a9f3ba06bc8b4021211c4c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the <a class="el" href="class_vivian_u_i.html">VivianUI</a> projects from the Unity PlayerPrefs.  <a href="class_project_files_controller.html#afa69e307a9f3ba06bc8b4021211c4c9b">More...</a><br /></td></tr>
<tr class="separator:afa69e307a9f3ba06bc8b4021211c4c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa01697d0900cf78f411a18dc7090da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_project_files_controller.html#adaa01697d0900cf78f411a18dc7090da">SetRecentProjects</a> (List&lt; <a class="el" href="class_project_json_wrapper.html">ProjectJsonWrapper</a> &gt; projects)</td></tr>
<tr class="memdesc:adaa01697d0900cf78f411a18dc7090da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the <a class="el" href="class_vivian_u_i.html">VivianUI</a> projects list in the Unity PlayerPrefs.  <a href="class_project_files_controller.html#adaa01697d0900cf78f411a18dc7090da">More...</a><br /></td></tr>
<tr class="separator:adaa01697d0900cf78f411a18dc7090da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab28f3fe1f617cb46ad9b75eab3298a78"><td class="memItemLeft" align="right" valign="top"><a id="ab28f3fe1f617cb46ad9b75eab3298a78" name="ab28f3fe1f617cb46ad9b75eab3298a78"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>InternalProjectPath</b><code> [get]</code></td></tr>
<tr class="separator:ab28f3fe1f617cb46ad9b75eab3298a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adfb41e1c1eb0d1ed4c610f6ef147395c" name="adfb41e1c1eb0d1ed4c610f6ef147395c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfb41e1c1eb0d1ed4c610f6ef147395c">&#9670;&nbsp;</a></span>CreateFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">async Task&lt;List&lt;GameObject&gt; &gt; ProjectFilesController.CreateFiles </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; string &gt;&#160;</td>
          <td class="paramname"><em>modelPaths</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>createSubdir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates a new project. </p>
<p >Creates a folder with uploaded model along with an empty functional specification at Unity's persistent data path. Duplicates the internal project to the indicated path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">projectName</td><td>Name of the project to create.</td></tr>
    <tr><td class="paramname">projectPath</td><td>Path of the project.</td></tr>
    <tr><td class="paramname">modelPaths</td><td>Path of the model(s) to import.</td></tr>
    <tr><td class="paramname">createSubdir</td><td>Whether to create a subdirectory in the at the given path.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The loaded model's Game Object</dd></dl>

</div>
</div>
<a id="afa69e307a9f3ba06bc8b4021211c4c9b" name="afa69e307a9f3ba06bc8b4021211c4c9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa69e307a9f3ba06bc8b4021211c4c9b">&#9670;&nbsp;</a></span>GetRecentProjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;<a class="el" href="class_project_json_wrapper.html">ProjectJsonWrapper</a>&gt; ProjectFilesController.GetRecentProjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets the <a class="el" href="class_vivian_u_i.html">VivianUI</a> projects from the Unity PlayerPrefs. </p>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="a7889a7b40c3bc7b4ef5f838fa8f33c12" name="a7889a7b40c3bc7b4ef5f838fa8f33c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7889a7b40c3bc7b4ef5f838fa8f33c12">&#9670;&nbsp;</a></span>LoadFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;GameObject&gt; ProjectFilesController.LoadFiles </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>projectPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; string &gt;&#160;</td>
          <td class="paramname"><em>modelPaths</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>createSubdir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads the required files for a project. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">projectName</td><td>Name of the project to load.</td></tr>
    <tr><td class="paramname">projectPath</td><td>Path of the project.</td></tr>
    <tr><td class="paramname">modelPaths</td><td>Path of the model(s) to import.</td></tr>
    <tr><td class="paramname">createSubdir</td><td>Whether to create a subdirectory in the at the given path.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="a668edb7be8d74a0f3b93d9577248a735" name="a668edb7be8d74a0f3b93d9577248a735"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a668edb7be8d74a0f3b93d9577248a735">&#9670;&nbsp;</a></span>LoadModel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject ProjectFilesController.LoadModel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filePath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads a model with TriLib </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filePath</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The loaded Game Object</dd></dl>

</div>
</div>
<a id="adaa01697d0900cf78f411a18dc7090da" name="adaa01697d0900cf78f411a18dc7090da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaa01697d0900cf78f411a18dc7090da">&#9670;&nbsp;</a></span>SetRecentProjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ProjectFilesController.SetRecentProjects </td>
          <td>(</td>
          <td class="paramtype">List&lt; <a class="el" href="class_project_json_wrapper.html">ProjectJsonWrapper</a> &gt;&#160;</td>
          <td class="paramname"><em>projects</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the <a class="el" href="class_vivian_u_i.html">VivianUI</a> projects list in the Unity PlayerPrefs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">projects</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_project_files_controller_8cs.html">ProjectFilesController.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_project_files_controller.html">ProjectFilesController</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
